package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 可用区域实体类
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年2月1日
 */
@Table("zone")
public class Zone extends Generic {

	@PK(PKStrategy.AUTO)
	private Long id;
	@Column("name")
	private String name;
	@Column("zone_id")
	private String zoneId;
	@Column("vendor_id")
	private Long vendorId;
	@Column("region_id")
	private String regionId;
	@Column("disk_category")
	private String diskCategory;
	@Column("resources")
	private String resources;
	@Column("zone_num")
	private String zoneNum;

	/**
	 *
	 */
	public Zone() {
		super();
	}

	/**
	 * @param name
	 * @param zoneId
	 * @param vendorId
	 * @param regionId
	 * @param diskCategory
	 * @param resources
	 */
	public Zone(String name, String zoneId, Long vendorId, String regionId, String diskCategory, String resources) {
		super();
		this.name = name;
		this.zoneId = zoneId;
		this.vendorId = vendorId;
		this.regionId = regionId;
		this.diskCategory = diskCategory;
		this.resources = resources;
	}

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 *            the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the zoneId
	 */
	public String getZoneId() {
		return zoneId;
	}

	/**
	 * @param zoneId
	 *            the zoneId to set
	 */
	public void setZoneId(String zoneId) {
		this.zoneId = zoneId;
	}

	/**
	 * @return the vendorId
	 */
	public Long getVendorId() {
		return vendorId;
	}

	/**
	 * @param vendorId
	 *            the vendorId to set
	 */
	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	/**
	 * @return the regionId
	 */
	public String getRegionId() {
		return regionId;
	}

	/**
	 * @param regionId
	 *            the regionId to set
	 */
	public void setRegionId(String regionId) {
		this.regionId = regionId;
	}

	/**
	 * @return the diskCategory
	 */
	public String getDiskCategory() {
		return diskCategory;
	}

	/**
	 * @param diskCategory
	 *            the diskCategory to set
	 */
	public void setDiskCategory(String diskCategory) {
		this.diskCategory = diskCategory;
	}

	/**
	 * @return the resources
	 */
	public String getResources() {
		return resources;
	}

	/**
	 * @param resources
	 *            the resources to set
	 */
	public void setResources(String resources) {
		this.resources = resources;
	}

	public String getZoneNum() {
		return zoneNum;
	}

	public void setZoneNum(String zoneNum) {
		this.zoneNum = zoneNum;
	}
}
